Support » Fixing WordPress » Warning: ini_get_all() has been disabled for security reasons in /home3/weconomy

  • Resolved yashara

    (@yashara)


    I got this problem and not resolved with any solution you got. “Warning: ini_get_all() has been disabled for security reasons in wp-includes/load.php on line 1020”
    i contact my host and they said u need to update php. i done and nothing happend!
    i have problem yet. i read all posts .
    someone help me

Viewing 7 replies - 1 through 7 (of 7 total)
  • Disabled Functions:

    string(6) “5.6.22”
    string(1199) “eval,./,ln,passthru,dl,system,exec,popen,shell_exec,proc_close,proc_open,proc_nice,proc_terminate,proc_get_status,posix_getpwuid,posix_uname,ftp_exec,posix_uname,posix_getpwuid,posix_kill,posix_mkfifo,posix_setpgid,posix_setsid,posix_setuid,get_current_user,getmyuid,getmygid,listen,chgrp,apache_note,apache_setenv,apache_child_terminate,closelog,debugger_off,debugge_on,ini_restore,netscript,escapeshellarg,cmd,backtick,virtual,show_sourc,show_source,pclose,pcntl_exec,datasec,old_offset,ctrl_dir,ini_alter,leak,listen,chgrp,apache_setenv,define_syslog_variables,root,diskfreespace,disk_free_space,disk_total_space,posix_kill,getmyuid,getmygid,apache_child_terminate,php_ini_scanned_files,ls,ps_aux,chown,getrusage,posixc,posame,chgrp,posix_setuid,posix_setsid,posix_setgid,apache_note,apache_setenv,x_getuid,e_ini_file,nfo,SQL,mysql_li,t_dbs,fileowner,filegroup,highlight_file,ilegetcontents,get_dir,popen,popens,pfsockopen,dos_conv,apache_get_modules,crack_check,crack_closedict,zip_read,rar_open,bzopen,bzread,bzwrite,shellcode,posix_isatty,posix_getservbyname,escapeshellarg,hypot,pg_host,pos,posix_access,inurl,posix_times,posix_mknod,pclose,ps_fill,symlink,id,escapeshellcmd,php_uname,phpinfo”

    Hi,

    These are all related to PHP settings on your server, which can only be changed by your web hosting technician. Unless you are using a dedicated server, which you are managing it yourself.

    Thank you

    my friend, i changed my php version to 5.6 and 7 too. but nothing happend. icontact them and they said its for a plugin named: captcha-code-authentication
    i delete this folder and i have problem yet.
    can you check my site and give me a good advise!
    http://www.weconomy.ir

    Hi,

    It has nothing to do with changing PHP version.

    It’s your server’s PHP setting. If you use a PHP info plugin ( https://wordpress.org/plugins/wordpress-php-info/ ), you will be able to see the list of functions disabled on your web server. Any plugin that attempts to use these disabled functions will result in error.

    There is nothing I can do to help you, because only your web hosting company can allow those functions to run..

    Thank you

    it was problem of wordfenece. i update it and it resolved

    Thank you for your reply.

    I certainly wasn’t expecting a plugin to be disabling PHP functions for “security reasons”.

    Moderator Steve Stern

    (@sterndata)

    Support Team Volunteer

    This will be addressed in WordPress 4.6.1. If you’re game, you can install the beta now. Otherwise, wait a few days for its release.

Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘Warning: ini_get_all() has been disabled for security reasons in /home3/weconomy’ is closed to new replies.